# 通过 Docker 构建

**Nebula Graph** 提供整个编译环境的 docker 镜像 [vesoft/nebula-dev](https://hub.docker.com/r/vesoft/nebula-dev)，支持在本地更改源代码，构建并在容器中调试。执行以下步骤以开始快速开发：

## 从 Docker Hub 获取镜像

```bash
bash> docker pull vesoft/nebula-dev
```

## 运行 docker 容器并将本地源码目录挂载到容器工作目录 `/home/nebula` 中

```bash
bash> docker run --rm -ti \
  --security-opt seccomp=unconfined \
  -v /path/to/nebula/directory:/home/nebula \
  vesoft/nebula-dev \
  bash
```

将 `/path/to/nebula/directory` 替换成你个人的 **源码路径**。

## 在容器内编译

```bash
docker> mkdir _build && cd _build
docker> cmake ..
docker> make
docker> make install
```

## 启动 Nebula Graph 服务

上述步骤完成后即可在容器内启动服务，默认安装目录为 `/usr/local/nebula`。

```bash
docker> cd /usr/local/nebula
```

重命名 **Nebula Graph** 服务的配置文件

```bash
docker> cp etc/nebula-graphd.conf.default etc/nebula-graphd.conf
docker> cp etc/nebula-metad.conf.default etc/nebula-metad.conf
docker> cp etc/nebula-storaged.conf.default etc/nebula-storaged.conf
```

启动服务

```bash
docker> ./scripts/nebula.service start all
docker> ./bin/nebula -u user -p password --port 3699 --addr="127.0.0.1"
nebula> SHOW HOSTS;
```
