# Trouble Shooting

## graphd Config File Doesn't Register to Meta Server

   When starting **Nebula Graph** services with the `nebula.service` script, `graphd`, `metad` and `storaged` processes start too fast to make the graphd config file registered into the meta server. The same problem may also occur when restarting.

   If you are using the beta version, start the metad service first, then the storaged and graphd to avoid such problem. We will resolve this problem in the next release.

   Start metad first:

   ```bash
   nebula> scripts/nebula.service start metad
   [INFO] Starting nebula-metad...
   [INFO] Done
   ```

   Then start storaged and graphd

   ```bash
   nebula> scripts/nebula.service start storaged
   [INFO] Starting nebula-storaged...
   [INFO] Done

   nebula> scripts/nebula.service start graphd
   [INFO] Starting nebula-graphd...
   [INFO] Done
   ```

## Errors Thrown When Inserting Data After Tag or Edge is Created

This is likely caused by setting the `load_data_interval_secs` value to fetch data from the meta server. Conduct the following steps to resolve:

If meta has registered, check `load_data_interval_secs` value in console with the following command.

```ngql
nebula> GET CONFIGS storage:load_data_interval_secs
nebula> GET CONFIGS graph:load_data_interval_secs
```

If the value is large, change it to 1s with the following command.

   ```ngql
   nebula> UPDATE CONFIGS storage:load_data_interval_secs=1
   nebula> UPDATE CONFIGS graph:load_data_interval_secs=1
   ```

> Note the changes take effect in the next period.

## Errors Thrown When Executing Command in Docker

This is likely caused by the inconsistency between the docker IP and the default listening address (172.17.0.2). Thus we need to change the the latter one.

1. First run `ifconfig` in container to check your container IP, here we assume your IP is 172.17.0.3.
2. In directory `/usr/local/nebula/etc`, check the config locations of all the IP addresses with the command `grep "172.17.0.2" . -r`.
3. Change all the IPs you find in step 2 to your container IP 172.17.0.3.
4. Restart all the services.
