/* Copyright (c) 2019 vesoft inc. All rights reserved.
 *
 * This source code is licensed under Apache 2.0 License,
 * attached with Common Clause Condition 1.0, found in the LICENSES directory.
 */

#ifndef STORAGE_DELETEEDGESPROCESSOR_H_
#define STORAGE_DELETEEDGESPROCESSOR_H_

#include "base/Base.h"
#include "storage/BaseProcessor.h"

namespace nebula {
namespace storage {

class DeleteEdgesProcessor : public BaseProcessor<cpp2::ExecResponse> {
public:
    static DeleteEdgesProcessor* instance(kvstore::KVStore* kvstore,
                                          meta::SchemaManager* schemaMan) {
        return new DeleteEdgesProcessor(kvstore, schemaMan);
    }

     void process(const cpp2::DeleteEdgesRequest& req);

private:
    explicit DeleteEdgesProcessor(kvstore::KVStore* kvstore,
                                  meta::SchemaManager* schemaMan)
            : BaseProcessor<cpp2::ExecResponse>(kvstore, schemaMan) {}
};

}  // namespace storage
}  // namespace nebula
#endif  // STORAGE_DELETEEDGESPROCESSOR_H_
